io.etcd.jetcd.op

## Class Op

- java.lang.Object
- - io.etcd.jetcd.op.Op

Direct Known Subclasses:
  Op.DeleteOp, Op.GetOp, Op.PutOp, Op.TxnOp

    public abstract class Op
    extends Object

Etcd Operation.

### Nested Class Summary

Nested Classes
`static class` `Op.DeleteOp`
`static class` `Op.GetOp`
`static class` `Op.PutOp`
`static class` `Op.TxnOp`
`static class` `Op.Type` Operation type.

### Field Summary

Fields
`protected com.google.protobuf.ByteString` `key`
`protected Op.Type` `type`

### Constructor Summary

Constructors
`protected` `Op(Op.Type type, com.google.protobuf.ByteString key)`

### Method Summary

All Methods Static Methods Concrete Methods
`static Op.DeleteOp` `delete(ByteSequence key, DeleteOption option)`
`static Op.GetOp` `get(ByteSequence key, GetOption option)`
`static Op.PutOp` `put(ByteSequence key, ByteSequence value, PutOption option)`
`static Op.TxnOp` `txn(Cmp[] cmps, Op[] thenOps, Op[] elseOps)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### type

    protected final Op.Type type

#### key

    protected final com.google.protobuf.ByteString key

### Constructor Detail

#### Op

    protected Op(Op.Type type,
                 com.google.protobuf.ByteString key)

### Method Detail

#### put

    public static Op.PutOp put(ByteSequence key,
                               ByteSequence value,
                               PutOption option)

#### get

    public static Op.GetOp get(ByteSequence key,
                               GetOption option)

#### delete

    public static Op.DeleteOp delete(ByteSequence key,
                                     DeleteOption option)

#### txn

    public static Op.TxnOp txn(Cmp[] cmps,
                               Op[] thenOps,
                               Op[] elseOps)